## upx-ucl-beta 2.93

=== Makefile ===
#
# UPX toplevel Makefile - needs GNU make 3.80 or better
#

MAKEFLAGS += -rR
.SUFFIXES:
export SHELL = /bin/sh

srcdir = .
top_srcdir = .
-include $(top_srcdir)/Makevars.global ./Makevars.local


# info: src/stub needs GNU make 3.81 and special build tools
BUILD_STUB = 0
ifneq ($(wildcard $(HOME)/local/bin/bin-upx/.),)
BUILD_STUB = 1
endif
ifneq ($(wildcard $(HOME)/bin/bin-upx/.),)
BUILD_STUB = 1
endif
ifneq ($(findstring $(firstword $(MAKE_VERSION)),3.79 3.79.1 3.80),)
BUILD_STUB = 0
endif


default:
	@echo "UPX info: please choose a target for 'make'"

all mostlyclean clean distclean maintainer-clean:
ifeq ($(BUILD_STUB),1)
	$(MAKE) -C src/stub $@
endif
	$(MAKE) -C src $@
	$(MAKE) -C doc $@


ifneq ($(wildcard .hg/data/.),)
# automatically generate ChangeLog from local Mercurial repo
ChangeLog:
	hg log --style=changelog > $@
.PHONY: ChangeLog
endif


.PHONY: default all mostlyclean clean distclean maintainer-clean

=== src/Makefile ===
#
# UPX Makefile - needs GNU make 3.80 or better
#

MAKEFLAGS += -rR
.SUFFIXES:
export SHELL = /bin/sh
override e = $($1) $(EXTRA_$1) $(upx_$1) $($(basename $(notdir $@)).$1)

ifndef srcdir
srcdir := $(dir $(word $(words $(MAKEFILE_LIST)),$(MAKEFILE_LIST)))
srcdir := $(shell echo '$(srcdir)' | sed 's,/*$$,,')
endif
ifndef top_srcdir
top_srcdir := $(srcdir)/..
endif
-include $(top_srcdir)/Makevars.global ./Makevars.local
ifneq ($(srcdir),.)
##$(info Info: using VPATH . $(srcdir))
VPATH := . $(srcdir)
endif

ifeq ($(CXX),)
CXX = g++
endif
ifneq ($(findstring $(firstword $(CXX)),g++),)
USE_GNUC ?= 1
endif
ifeq ($(USE_GNUC),1)
CXXFLAGS += -MMD
ifeq ($(DEBUG),1)
CXXFLAGS += -O0 -g
else
CXXFLAGS += -O2
endif
CXXFLAGS += -Wall -W -Wcast-align -Wcast-qual -Wpointer-arith -Wwrite-strings -Werror
##CXXFLAGS += -Wshadow
endif
CPPFLAGS += $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES)
CXXLD ?= $(CXX)

exeext ?= .out
libext ?= .a
objext ?= .o

upx_SOURCES := $(wildcard $(srcdir)/*.cpp)
upx_OBJECTS := $(notdir $(upx_SOURCES:.cpp=$(objext)))

# we need UCL and zlib - you can set envvar UPX_UCLDIR
ifneq ($(wildcard $(UPX_UCLDIR)/include/ucl/ucl.h),)
INCLUDES += -I$(UPX_UCLDIR)/include
LIBS += $(addprefix -L,$(dir $(wildcard $(UPX_UCLDIR)/libucl$(libext) $(UPX_UCLDIR)/src/.libs/libucl$(libext))))
endif
LIBS += -lucl -lz
# you should set envvar UPX_LZMADIR to point to your unpacked lzma443.tar.bz2
ifneq ($(wildcard $(UPX_LZMADIR)/C/7zip/.),)
DEFS += -DWITH_LZMA=1
INCLUDES += -I$(UPX_LZMADIR)
endif


all: upx$(exeext)
.DELETE_ON_ERROR: upx$(exeext) $(upx_OBJECTS)

upx$(exeext): $(upx_OBJECTS) $(upx_DEPENDENCIES)
	$($(notdir $@).PRE_LINK_STEP)
	$(strip $(CXXLD) $(call e,CPPFLAGS) $(call e,CXXFLAGS) $(call e,LDFLAGS) -o $@ $(upx_OBJECTS) $(call e,LDADD) $(call e,LIBS))
	$($(notdir $@).POST_LINK_STEP)

%.o : %.cpp
	$(strip $(CXX) $(call e,CPPFLAGS) $(call e,CXXFLAGS) -o $@ -c $<)


ifeq ($(USE_GNUC),1)
##compress_lzma$(objext) : CXXFLAGS += -O3 -fomit-frame-pointer
compress_lzma$(objext) : CXXFLAGS += -Wno-cast-qual
compress_lzma$(objext) : CXXFLAGS += -Wno-non-virtual-dtor
compress_lzma$(objext) : CXXFLAGS += -Wno-shadow
compress_lzma$(objext) : CXXFLAGS += -Wno-unused
##compress_lzma$(objext) : CXXFLAGS += -Wno-error
endif


mostlyclean clean distclean maintainer-clean:
	rm -f *.d *.map *.o *.obj *.res upx.exe upx.out upx.ttp upx$(exeext)

-include *.d
.PHONY: all mostlyclean clean distclean maintainer-clean

=== src/stub/Makefile ===
#
# UPX stub Makefile - needs GNU make 3.81 or better
#
# You also will need a number of special build tools like various
# cross-assemblers and cross-compilers - please see README.SRC
# for details.
#

MAKEFLAGS += -rR
.SUFFIXES:
.SECONDEXPANSION:
export LC_ALL = C
export SHELL = /bin/sh

# internal make variables
comma := ,
empty :=
space := $(empty) $(empty)
tab   := $(empty)	$(empty)

ifneq ($(findstring $(firstword $(MAKE_VERSION)),3.79 3.79.1 3.80),)
$(error GNU make 3.81 or better is required)
endif

ifndef srcdir
srcdir := $(dir $(word $(words $(MAKEFILE_LIST)),$(MAKEFILE_LIST)))
srcdir := $(shell echo '$(srcdir)' | sed 's,/*$$,,')
endif
ifndef top_srcdir
top_srcdir := $(srcdir)/../..
endif
-include $(top_srcdir)/Makevars.global ./Makevars.local

# update $PATH for our special stub build tools
ifneq ($(wildcard $(HOME)/local/bin/bin-upx/.),)
export PATH := $(HOME)/local/bin/bin-upx:$(PATH)
endif
ifneq ($(wildcard $(HOME)/bin/bin-upx/.),)
export PATH := $(HOME)/bin/bin-upx:$(PATH)
endif


# /***********************************************************************
# //
# ************************************************************************/

ifndef STUBS
STUBS += amd64-linux.elf-entry.h
STUBS += amd64-linux.elf-fold.h
STUBS += amd64-linux.kernel.vmlinux.h
STUBS += amd64-linux.kernel.vmlinux-head.h
STUBS += amd64-linux.kernel.vmlinuz.h
STUBS += arm-linux.elf-entry.h
STUBS += arm-linux.elf-fold.h
STUBS += arm-linux.kernel.vmlinux.h
STUBS += arm-linux.kernel.vmlinux-head.h
STUBS += armeb-linux.elf-entry.h
STUBS += armeb-linux.elf-fold.h
STUBS += arm.v4a-wince.pe.h
STUBS += arm.v4t-wince.pe.h
STUBS += i086-dos16.com.h
STUBS += i086-dos16.exe.h
STUBS += i086-dos16.sys.h
STUBS += i386-bsd.elf-entry.h
STUBS += i386-bsd.elf-fold.h
STUBS += i386-bsd.elf.execve-entry.h
STUBS += i386-bsd.elf.execve-fold.h
STUBS += i386-darwin.macho-entry.h
STUBS += i386-darwin.macho-fold.h
STUBS += i386-openbsd.elf-fold.h
STUBS += i386-dos32.djgpp2.h
STUBS += i386-dos32.djgpp2-stubify.h
STUBS += i386-dos32.tmt.h
STUBS += i386-dos32.watcom.le.h
STUBS += i386-linux.elf-entry.h
STUBS += i386-linux.elf-fold.h
STUBS += i386-linux.elf.execve-entry.h
STUBS += i386-linux.elf.execve-fold.h
STUBS += i386-linux.elf.interp-entry.h
STUBS += i386-linux.elf.interp-fold.h
STUBS += i386-linux.elf.shell-entry.h
STUBS += i386-linux.elf.shell-fold.h
STUBS += i386-linux.kernel.vmlinux.h
STUBS += i386-linux.kernel.vmlinux-head.h
STUBS += i386-linux.kernel.vmlinuz.h
STUBS += i386-win32.pe.h
STUBS += m68k-atari.tos.h
STUBS += mipsel.r3000-ps1.h
STUBS += powerpc-darwin.macho-entry.h
STUBS += powerpc-darwin.macho-fold.h
STUBS += powerpc-linux.elf-entry.h
STUBS += powerpc-linux.elf-fold.h
endif


ifndef default.targets
ifeq ($(wildcard .all-stamp),)
default.targets =
default:
	@echo "UPX info: type 'make all' if you have all the required build tools."
else
default.targets = all
default: $$(default.targets)
endif
endif


all.targets ?= .upx-stubtools-stamp tmp/.tmp-stamp .all-stamp
all: $$(all.targets)
.upx-stubtools-stamp: $(MAKEFILE_LIST)
	upx-stubtools-check-version 20060823
	@echo "timestamp" > $@
%/.tmp-stamp:
	@mkdir -p $(dir $@)
	@echo "timestamp" > $@
.PRECIOUS: %/.tmp-stamp
.all-stamp: $$(STUBS)
	@echo "timestamp" > $@

ifeq ($(wildcard .all-stamp),)
mostlyclean clean: distclean
else
mostlyclean clean: maintainer-clean
endif
distclean:
	rm -f .*-stamp
	rm -rf tmp
maintainer-clean:
	rm -f .upx-stubtools-stamp
	rm -rf tmp
	rm -f $(STUBS)

.PHONY: default all mostlyclean clean distclean maintainer-clean


# util var for use in the rules - basename of the current target
override T = $(basename $(notdir $@))

# clear some vars, just in case
LABEL_PREFIX =
PP_FLAGS =
tc_bfdarch =
tc_bfdname =
tc_list =
tc_objdump_disasm_options =

# commands
PYTHON     = python
UNIX2DOS  := perl -i -pe 's/$$/\r/;'

# trim (strip) trailing whitespace
RTRIM     := sed -e 's/[ $(tab)]*$$//'
# squeeze duplicate blank lines, delete empty first & last line
BLSQUEEZE := $(RTRIM) | cat --squeeze-blank | sed -e '1{/^$$/d}' -e '$${/^$$/d}'
# delete blank lines
BLDEL     := $(RTRIM) | sed -e '/^$$/d'
# delete blank lines at top (beginning) of file
BLDELTOP  := sed -e '/./,$$!d'
# delete blank lines at bottom (end) of file
BLDELBOT  := sed -e ':a' -e '/^\n*$$/{$$d;N;ba' -e '}'


# /***********************************************************************
# // setup toolchain globals
# ************************************************************************/

# enumerate the names of all variables that will get tested (from basename and $(tc_list))
__tc_varlist   = tc.$(basename $(notdir $@)).$1 $(foreach v,$(tc_list),tc.$v.$1)
# return the name of the first variable that is not empty
__tc_varsearch = $(firstword $(foreach v,$1,$(if $($v),$v,)))
# error sentinel for missing commands
__tc_FALSE     = false tc_FALSE: '1:$1 2:$2 3:$3 4:$4 5:$5' '$@' '$<' '$(tc_list)'
# call (expand) the first variable that is not empty
  # [move the next line within the "tc" macro for debugging]
  # tc debug '1:$1 2:$2 3:$3 4:$4 5:$5' '$@' '$<' '$(tc_list)'
define tc
  $(call $(call __tc_varsearch,$(call __tc_varlist,$1) __tc_FALSE),$2,$3,$4,$5)
endef

# default tools
tc.default.bin2h      = $(PYTHON) $(top_srcdir)/src/stub/scripts/bin2h.py --ident=auto-stub
##tc.default.bin2h-c    = $(call tc,bin2h) --compress=14,15,0
tc.default.bin2h-c    = $(call tc,bin2h) --compress=0
tc.default.brandelf   = $(PYTHON) $(top_srcdir)/src/stub/scripts/brandelf.py $(if $(tc_bfdname),--bfdname=$(tc_bfdname))
tc.default.gpp_inc    = $(PYTHON) $(top_srcdir)/src/stub/scripts/gpp_inc.py
tc.default.gpp_mkdep  = $(PYTHON) $(top_srcdir)/src/stub/scripts/gpp_inc.py -o /dev/null
tc.default.pp-as      = i386-linux-gcc-3.4.6 -E -nostdinc -x assembler-with-cpp -Wall
tc.default.sstrip     = sstrip
tc.default.xstrip     = $(PYTHON) $(top_srcdir)/src/stub/scripts/xstrip.py

# default multiarch-binutils
tc.default.m-ar       = multiarch-ar-2.17
tc.default.m-ld       = multiarch-ld-2.17 $(if $(tc_bfdname),-b $(tc_bfdname))
tc.default.m-nm       = multiarch-nm-2.17 $(if $(tc_bfdname),--target=$(tc_bfdname))
tc.default.m-objcopy  = multiarch-objcopy-2.17 $(if $(tc_bfdname),-F $(tc_bfdname))
tc.default.m-objdump  = multiarch-objdump-2.17 $(if $(tc_bfdname),-b $(tc_bfdname)) $(if $(tc_bfdarch),-m $(tc_bfdarch))
tc.default.m-readelf  = multiarch-readelf-2.17

# default binutils
tc.default.ld         = $(call tc,m-ld)
tc.default.nm         = $(call tc,m-nm)
tc.default.objcopy    = $(call tc,m-objcopy)
tc.default.objdump    = $(call tc,m-objdump)
tc.default.readelf    = $(call tc,m-readelf)

# default binutils functions
define tc.default.f-embed_objinfo
	chmod a-x $1
	$(call tc,objcopy) --strip-unneeded $1
	$(call tc,objcopy) -R .text -R .data -R .bss $1
	$(call tc,objcopy) -R .comment -R .note -R .note.GNU-stack -R .reginfo $1
	$(call tc,objdump) -Dr $(tc_objdump_disasm_options) $1 | $(RTRIM) > $1.disasm
	$(call tc,objdump) -htr -w $1 | $(BLSQUEEZE) > $1.dump
	$(call tc,xstrip) --with-dump=$1.dump --create-bindump=$1.bindump $1
	cat $1.dump >> $1
endef
define tc.default.f-objstrip
	chmod a-x $1
	$(call tc,objcopy) -R .comment -R .note -R .note.GNU-stack -R .reginfo $1
endef

# some common arch settings
tc.arch-i086.gcc      = i386-linux-gcc-3.4.6 -m32 -march=i386 -nostdinc -MMD -MT $@
tc.arch-i086.wdis     = $(WATCOM)/binl/wdis
tc.arch-i386.gcc      = i386-linux-gcc-3.4.6 -m32 -march=i386 -nostdinc -MMD -MT $@
tc.arch-i386.djasm    = djasm


# /***********************************************************************
# // amd64-linux.elf
# ************************************************************************/

amd64-linux.elf%.h : tc_list = amd64-linux.elf default
amd64-linux.elf%.h : tc_bfdname = elf64-x86-64

tc.amd64-linux.elf.gcc  = amd64-linux-gcc-3.4.4 -m64 -nostdinc -MMD -MT $@
tc.amd64-linux.elf.gcc += -fno-exceptions -fno-asynchronous-unwind-tables
tc.amd64-linux.elf.gcc += -Wall -W -Wcast-align -Wcast-qual -Wwrite-strings -Werror

amd64-linux.elf-entry.h: $(srcdir)/src/$$T.S
	$(call tc,gcc) -c -x assembler-with-cpp $< -o tmp/$T.bin
	$(call tc,f-embed_objinfo,tmp/$T.bin)
	$(call tc,bin2h) tmp/$T.bin $@

amd64-linux.elf-fold.h : tmp/$$T.o tmp/amd64-linux.elf-main.o $(srcdir)/src/$$T.lds
	$(call tc,ld) --strip-all -T $(srcdir)/src/$T.lds -Map tmp/$T.map $(filter %.o,$^) -o tmp/$T.bin
	$(call tc,f-objstrip,tmp/$T.bin)
	$(call tc,sstrip) tmp/$T.bin
	$(call tc,bin2h) tmp/$T.bin $@

tmp/amd64-linux.elf-fold.o : $(srcdir)/src/$$T.S
	$(call tc,gcc) -c $< -o $@
	$(call tc,f-objstrip,$@)

tmp/amd64-linux.elf-main.o : $(srcdir)/src/$$T.c
	$(call tc,gcc) -c -Os $< -o $@
	$(call tc,f-objstrip,$@)
	$(call tc,objdump) -dr $(tc_objdump_disasm_options) $@ | $(RTRIM) > $@.disasm


# /***********************************************************************
# // amd64-linux.kernel.vmlinux
# // amd64-linux.kernel.vmlinuz
# // amd64-linux.kernel.vmlinux-head
# ************************************************************************/

# info: we use the tc settings from arch-i386 !!

amd64-linux.kernel.vmlinu%.h : tc_list = arch-i386 default
amd64-linux.kernel.vmlinu%.h : tc_bfdname = elf32-i386

amd64-linux.kernel.vmlinu%.h : $(srcdir)/src/$$T.S
	$(call tc,gcc) -c -x assembler-with-cpp $< -o tmp/$T.bin
	$(call tc,f-embed_objinfo,tmp/$T.bin)
	$(call tc,bin2h-c) tmp/$T.bin $@

amd64-linux.kernel.vmlinux-head.h : $(srcdir)/src/$$T.S
	$(call tc,gcc) -c -x assembler-with-cpp $< -o tmp/$T.o
	$(call tc,objcopy) --output-target binary --only-section .text tmp/$T.o tmp/$T.bin
	$(call tc,bin2h) tmp/$T.bin $@


# /***********************************************************************
# // arm-linux.elf
# ************************************************************************/

arm-linux.elf%.h : tc_list = arm-linux.elf default
arm-linux.elf%.h : tc_bfdname = elf32-littlearm

tc.arm-linux.elf.gcc  = arm-linux-gcc-4.1.0 -march=armv4 -nostdinc -MMD -MT $@
tc.arm-linux.elf.gcc += -fno-exceptions -fno-asynchronous-unwind-tables
tc.arm-linux.elf.gcc += -Wall -W -Wcast-align -Wcast-qual -Wwrite-strings -Werror

arm-linux.elf-entry.h : $(srcdir)/src/$$T.S
	$(call tc,gcc) -march=armv4 -c $< -o tmp/$T.bin
	$(call tc,f-embed_objinfo,tmp/$T.bin)
	$(call tc,bin2h) tmp/$T.bin $@

arm-linux.elf-fold.h : tmp/$$T.o tmp/arm-linux.elf-main.o $(srcdir)/src/$$T.lds
	$(call tc,ld) --strip-all -T $(srcdir)/src/$T.lds -Map tmp/$T.map $(filter %.o,$^) -o tmp/$T.bin
	$(call tc,f-objstrip,tmp/$T.bin)
	$(call tc,sstrip) tmp/$T.bin
	$(call tc,bin2h) tmp/$T.bin $@

tmp/arm-linux.elf-fold.o : $(srcdir)/src/$$T.S
	$(call tc,gcc) -c $< -o $@
	$(call tc,f-objstrip,$@)

tmp/arm-linux.elf-main.o : $(srcdir)/src/$$T.c
	$(call tc,gcc) -c -Os $< -o $@
	$(call tc,f-objstrip,$@)
	$(call tc,objdump) -dr $(tc_objdump_disasm_options) $@ | $(RTRIM) > $@.disasm


# /***********************************************************************
# // arm-linux.kernel.vmlinux
# // arm-linux.kernel.vmlinuz
# // arm-linux.kernel.vmlinux-head
# ************************************************************************/

arm-linux.kernel.vmlinu%.h : tc_list = arm-linux.kernel default
arm-linux.kernel.vmlinu%.h : tc_bfdname = elf32-littlearm

tc.arm-linux.kernel.gcc  = arm-linux-gcc-4.1.0 -march=armv5 -nostdinc -MMD -MT $@
tc.arm-linux.kernel.gcc += -fno-exceptions -fno-asynchronous-unwind-tables
tc.arm-linux.kernel.gcc += -Wall -W -Wcast-align -Wcast-qual -Wwrite-strings -Werror

arm-linux.kernel.vmlinu%.h : $(srcdir)/src/$$T.S
	$(call tc,gcc) -c -x assembler-with-cpp $< -o tmp/$T.bin
	$(call tc,f-embed_objinfo,tmp/$T.bin)
	$(call tc,bin2h-c) tmp/$T.bin $@

arm-linux.kernel.vmlinux-head.h : $(srcdir)/src/$$T.S
	$(call tc,gcc) -c -x assembler-with-cpp $< -o tmp/$T.o
	$(call tc,objcopy) --output-target binary --only-section .text tmp/$T.o tmp/$T.bin
	$(call tc,bin2h) tmp/$T.bin $@


# /***********************************************************************
# // armeb-linux.elf
# ************************************************************************/

## upx-ucl-beta 3~dummy.1

=== debian/changelog ===
upx-ucl-beta (1:3~dummy.1) unstable; urgency=low

  * Upstream currently does not provide beta versions.
    Temporaily switching to a dummy package depending on upx-ucl until new
    beta is available.
  * The following bugs has been fixed by upstream in upx-ucl 3.01:
    + FTBFS with GCC 4.3 (closes: #421285),
    + unrecognised kernel architecture with 2.6.21 kernels (closes: #426747).

 -- Robert Luberda <robert@debian.org>  Sat, 11 Aug 2007 12:45:09 +0200

upx-ucl-beta (1:2.93-2) unstable; urgency=low

  * Upload to unstable (closes: #416848).
  * Merge GCC 4.3 fix from upx-ucl.

 -- Robert Luberda <robert@debian.org>  Tue, 24 Apr 2007 21:26:35 +0200

upx-ucl-beta (1:2.93-1) experimental; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Sat, 10 Mar 2007 20:39:34 +0100

upx-ucl-beta (1:2.92-2) experimental; urgency=low

  * Pass -D__BIG_ENDIAN__=1 to CXXFLAGS on hppa, ia64, sparc in order to fix
    FTBFS on those archs (closes: #409719). Fix suggested by upstream.
  * Set debhelper compatibility level to 5.
  * debian/rules cleanups, amongst others:
    + use CXXFLAGS instead of CFLAGS;
    + don't overwrite {CXX,LD}FLAGS, just add our stuff to them.
  * Update debian/watch.

 -- Robert Luberda <robert@debian.org>  Sat, 10 Mar 2007 01:00:00 +0100

upx-ucl-beta (1:2.92-1) experimental; urgency=low

  * New upstream version.
  * Update package's description.
  * Add debian/watch file.
  * Standards-Version: 3.7.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Thu,  1 Feb 2007 23:11:20 +0100

upx-ucl-beta (1:1.95+0.20060318cvs-1) unstable; urgency=low

  * New upstream CVS snapshot:
    + win32/pe support still broken (see Bug#343250).

 -- Robert Luberda <robert@debian.org>  Sat, 18 Mar 2006 16:17:58 +0100

upx-ucl-beta (1:1.94+0.20051214cvs-2) unstable; urgency=low

  * src/p_lx_elf.h: Fix FTBFS on 64-bit platforms by using correct type
    in PackLinuxElf32Be::set_native64 declaration.

 -- Robert Luberda <robert@debian.org>  Sat, 17 Dec 2005 16:42:40 +0100

upx-ucl-beta (1:1.94+0.20051214cvs-1) unstable; urgency=low

  * New upstream CVS snapshot.
    I hope this version fixes Bug#343250 (upx-ucl-beta: broken on 64-bit
    systems), however I can't test it so I'm not closing the bug yet.

 -- Robert Luberda <robert@debian.org>  Thu, 15 Dec 2005 08:40:06 +0100

upx-ucl-beta (1:1.94+0.20051022cvs-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * debian/doc-base: change section to Apps/Tools (closes: #335075).

 -- Robert Luberda <robert@debian.org>  Sat, 22 Oct 2005 20:14:51 +0200

upx-ucl-beta (1:1.94+0.20050716cvs-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Standards-Version: 3.6.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 17 Jul 2005 14:00:38 +0200

upx-ucl-beta (1:1.94+0.20050331cvs-1) experimental; urgency=low

  * New upstream CVS snapshot.

 -- Robert Luberda <robert@debian.org>  Thu, 31 Mar 2005 19:15:58 +0200

upx-ucl-beta (1:1.93+0.20041116cvs-1) experimental; urgency=low

  * New upstream CVS snapshot.

 -- Robert Luberda <robert@debian.org>  Tue, 16 Nov 2004 21:34:54 +0100

upx-ucl-beta (1:1.93+0.20041007cvs-2) experimental; urgency=low

  * Reupload 1.93+0.20041007cvs to experimental.

 -- Robert Luberda <robert@debian.org>  Fri, 15 Oct 2004 21:12:55 +0200

upx-ucl-beta (1:1.91+0.20030910cvs-2) unstable; urgency=low

  * Put 1.91+0.20030910cvs back into unstable. Newer versions fail
    to create bootable kernels, thus breaking debian-installer
    (closes: #275393).
  * Revert all changes except:
    + build dependency on libucl-dev >= 1.03
    + typo in the description
  * conf.h: replace __UCL_ENTRY with __UCL_CDECL, as ucl no longer defines
    __UCL_ENTRY.

 -- Robert Luberda <robert@debian.org>  Fri,  8 Oct 2004 20:09:44 +0200

upx-ucl-beta (1.93+0.20041007cvs-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Fix typo in the package description.

 -- Robert Luberda <robert@debian.org>  Thu,  7 Oct 2004 19:02:28 +0200

upx-ucl-beta (1.93+0.20040727cvs-3) unstable; urgency=low

  * *Really* upload to unstable.

 -- Robert Luberda <robert@debian.org>  Sun,  3 Oct 2004 19:56:45 +0200

upx-ucl-beta (1.93+0.20040727cvs-2) experimental; urgency=low

  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Tue, 28 Sep 2004 21:35:41 +0200

upx-ucl-beta (1.93+0.20040727cvs-1) experimental; urgency=low

  * New upstream CVS snapshot.
  * Add link to homepage to binary package description.
  * Require libucl-dev 1.03.

 -- Robert Luberda <robert@debian.org>  Thu, 29 Jul 2004 20:58:45 +0200

upx-ucl-beta (1.91+0.20040420cvs-1) experimental; urgency=low

  * New upstream CVS snapshot.
  * Install upstream ChangeLog file generated from the cvs logs
    with the `cvs2cl --no-wrap --gmt -S' command.
  * Build with the newest libucl-dev 1.02.

 -- Robert Luberda <robert@debian.org>  Tue, 27 Apr 2004 21:12:33 +0200

upx-ucl-beta (1.91+0.20030910cvs-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Standards-Version: 3.6.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 10 Sep 2003 22:42:35 +0200

upx-ucl-beta (1.91+0.20030605cvs-4) unstable; urgency=low

  * src/conf.h: Another try of fixing FTBFS bug (closes: #200568).
  * Standards-Version: 3.6.0 (no changes).

 -- Robert Luberda <robert@debian.org>  Mon, 14 Jul 2003 23:06:55 +0200

upx-ucl-beta (1.91+0.20030605cvs-3) unstable; urgency=low

  * src/conf.h: Fix build problem on hppa and some other architectures
    by trying to define upx_(u)int64l as (u)int_least64_t before raising
    the "need a 64-bit integer type" error (closes: #200568).

 -- Robert Luberda <robert@debian.org>  Wed,  9 Jul 2003 22:03:19 +0200

upx-ucl-beta (1.91+0.20030605cvs-2) unstable; urgency=low

  * Added build dependancy on zlib1g-dev.

 -- Robert Luberda <robert@debian.org>  Sun, 22 Jun 2003 12:00:57 +0200

upx-ucl-beta (1.91+0.20030605cvs-1) unstable; urgency=low

  * Packaged new upstream beta version (closes: #198190).


=== debian/control ===
Source: upx-ucl-beta
Section: utils
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5.0.40)

Package: upx-ucl-beta
Architecture: all
Depends: upx-ucl (>= 3.01)
Description: an efficient live-compressor for executables (beta version)
 .
 NOTE: Since no beta version of UPX is currently available, this package simply 
 depends on the latest stable UPX version.
 .

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DUMMY			:= 1

CC			:= gcc
CXX			:= g++
package			:= $(shell dh_listpackages)

BIG_ENDIAN_ARCHS	:= hppa ia64 sparc 
DEB_BUILD_ARCH		:= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

export DESTDIR		:= $(CURDIR)/debian/$(package)

CXXFLAGS		:= -DWITH_UCL -g
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS 	+= -O2
else
	CXXFLAGS 	+= -O0
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	 LDFLAGS 	:= -s
endif

ifneq (,$(findstring $(DEB_BUILD_ARCH), $(BIG_ENDIAN_ARCHS)))
	CXXFLAGS 	+= -D__BIG_ENDIAN__=1
endif


ifeq (0,1)
	CXXFLAGS 	+= -I $(I)
	LDFLAGS 	+= -L $(L)
endif

build: build-stamp
build-stamp:
	dh_testdir
ifneq ($(DUMMY), 1)

	# Add here commands to compile the package.
	@echo "Starting build process ($(DEB_BUILD_ARCH))"
	  UPX_UCLDIR=/none CC=$(CC) CXX=$(CXX) 	\
	  CXXFLAGS="$(CXXFLAGS)" 		\
	  LDFLAGS="$(LDFLAGS)" 			\
        make exeext="" target=linux all

	cd doc && mv upx.1 $(package).1
ifneq (, $(wildcard debian/dh_upx))
	pod2man -c " " -r "dh_upx" debian/dh_upx > doc/dh_upx.1
endif

endif # DUMMY
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
ifneq ($(DUMMY), 1)
	-make UPX_UCLDIR=/none \
			exeext="" \
			distclean
	rm -rf doc/*.{1,ps}
endif # DUMMY	

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

ifneq ($(DUMMY), 1)
	# Add here commands to install the package into debian/<packagename>
	install -pm 0755 src/upx $(DESTDIR)/usr/bin/$(package)
ifneq (, $(wildcard debian/dh_upx))
	install -pm 0755 debian/dh_upx $(DESTDIR)/usr/bin/
endif
endif # DUMMY

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
ifneq ($(DUMMY), 1)
	dh_installchangelogs NEWS
else
	dh_installchangelogs
endif # DUMMY 	

	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
ifneq ($(DUMMY), 1)
	dh_installman doc/*.1
else	
	dh_link
endif # DUMMY	
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# control file for the uscan(1) tool
version=2
http://upx.sourceforge.net/download/unstable/upx-([\d\.]+)-src\.tar\.(gz|bz2)

## upx-ucl-beta 3~dummy.2

=== debian/changelog ===
upx-ucl-beta (1:3~dummy.2) unstable; urgency=low

  * Standards-Version: 3.7.3 (no changes).
  * Switch to debhelper v7 with its simplified rules file.
  * Fix lintian's `binary-arch-rules-but-pkg-is-arch-indep'.

 -- Robert Luberda <robert@debian.org>  Sat, 26 Apr 2008 19:13:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 5.0.40)
+Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 7)
 
 Package: upx-ucl-beta
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh build

clean:
	dh clean
	dh_clean # make lintian happy

install: build
	dh install

binary-arch:
# nothing to do

binary-indep: install
	dh binary-indep

binary: binary-indep

.PHONY: build clean install binary-arch binary-indep binary
